Bug 162072 - EQ frozen waiting for Java parsing from maven.ActionProviderImpl.isActionEnabled
EQ frozen waiting for Java parsing from maven.ActionProviderImpl.isActionEnabled
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
: THREAD
Depends on: 183972
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 23:34 UTC by Jesse Glick
Modified: 2011-11-10 21:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-04-06 23:34:39 UTC
CP was being scanned and I tried to Debug > Apply Code Changes to a source in a Maven project. The IDE froze.
Comment 1 Jesse Glick 2009-04-06 23:36:16 UTC
"AWT-EventQueue-1" prio=10 tid=0x09ef6400 nid=0x6757 waiting on condition [0xb2571000..0xb2573030]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x6a9c2dd0> (a java.util.concurrent.locks.ReentrantLock$FairSync)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.parkAndCheckInterrupt(AbstractQueuedSynchronizer.java:747)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquireQueued(AbstractQueuedSynchronizer.java:778)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquire(AbstractQueuedSynchronizer.java:1114)
	at java.util.concurrent.locks.ReentrantLock$FairSync.lock(ReentrantLock.java:201)
	at java.util.concurrent.locks.ReentrantLock.lock(ReentrantLock.java:262)
	at org.netbeans.modules.parsing.impl.TaskProcessor.runUserTask(TaskProcessor.java:180)
	at org.netbeans.modules.parsing.api.ParserManager.parse(ParserManager.java:99)
	at org.netbeans.api.java.source.JavaSource.runUserActionTaskImpl(JavaSource.java:405)
	at org.netbeans.api.java.source.JavaSource.runUserActionTask(JavaSource.java:376)
	at org.netbeans.api.java.source.SourceUtils.getMainClasses(SourceUtils.java:774)
	at org.netbeans.modules.maven.execute.DefaultReplaceTokenProvider.convert(DefaultReplaceTokenProvider.java:220)
	at org.netbeans.modules.maven.ActionProviderImpl.isActionEnabled(ActionProviderImpl.java:318)
	at org.netbeans.modules.project.ui.actions.ActionsUtil.commandSupported(ActionsUtil.java:150)
	at org.netbeans.modules.project.ui.actions.ActionsUtil.getProjectsFromLookup(ActionsUtil.java:107)
	at org.netbeans.modules.project.ui.actions.FileCommandAction.refresh(FileCommandAction.java:74)
	at org.netbeans.modules.project.ui.actions.LookupSensitiveAction.doRefresh(LookupSensitiveAction.java:184)
	at org.netbeans.modules.project.ui.actions.LookupSensitiveAction.isEnabled(LookupSensitiveAction.java:127)
	at org.netbeans.modules.project.ui.actions.ProjectAction.isEnabled(ProjectAction.java:62)
	at org.openide.awt.Actions$MenuBridge.updateState(Actions.java:952)
	at org.openide.awt.Actions.connect(Actions.java:198)
	at
org.netbeans.modules.project.ui.actions.LookupSensitiveAction$DynamicMenuItem.getMenuPresenters(LookupSensitiveAction.java:243)
	at
org.netbeans.modules.project.ui.actions.LookupSensitiveAction$DynamicMenuItem.synchMenuPresenters(LookupSensitiveAction.java:248)
	at org.openide.awt.DynaMenuModel.checkSubmenu(DynaMenuModel.java:181)
	at org.openide.awt.MenuBar$LazyMenu.stateChanged(MenuBar.java:556)
	at javax.swing.DefaultButtonModel.fireStateChanged(DefaultButtonModel.java:333)
[....]
Comment 2 Milos Kleint 2009-04-10 11:59:34 UTC
http://hg.netbeans.org/main/rev/cb6150da4690
Comment 3 Quality Engineering 2009-04-11 06:55:27 UTC
Integrated into 'main-golden', will be available in build *200904110201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/cb6150da4690
User: Milos Kleint <mkleint@netbeans.org>
Log: #162072 prevent hanging the awt thread when scanning is in progress


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo